Fontconfig Developers Reference, Version 2.2.2
Prev |  | Next

# FcAtomicLock

## Name

FcAtomicLock -- lock a file

## Synopsis

    #include <fontconfig.h>

``FcBool FcAtomicLock`(FcAtomic *atomic);`

## Description

Attempts to lock the file referenced by atomic. Returns FcFalse if the file is locked by another process, else returns FcTrue and leaves the file locked.

## Version

Fontconfig version 2.2.2

Prev | Home | Next
FcAtomicCreate | Up | FcAtomicNewFile